Export conversation as PDF
curl --request GET \
--url https://api.getfernand.com/conversations/{id}/export \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getfernand.com/conversations/{id}/export"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getfernand.com/conversations/{id}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfernand.com/conversations/{id}/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.getfernand.com/conversations/{id}/export");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.getfernand.com/conversations/{id}/export")
.header("X-API-Key", "<api-key>")
.asString();"<string>"{
"error": "<string>"
}{
"error": "<string>"
}Export conversation as PDF
GET
/
conversations
/
{id}
/
export
Export conversation as PDF
Generates and returns a PDF document containing the full conversation history including all messages, notes, and events. The PDF is formatted for archival and sharing purposes. Includes up to 100 entries from the conversation.
Authorizations
Path Parameters
ID of the conversation to export.
Response
PDF generated and returned successfully.
The response is of type file.
Was this page helpful?
⌘I